# Deck Customization
--------------------

This mod adds settings to the mod options menu which allow for the fine-tuning of card rarities as well as accessibility and nerd options for displaying the rarities of cards as readable text instead of just corner colors.

## General Rarity Adjustment
----------------------------

The rarities can be adjusted from their default values to whatever you want! The default rarities of Common, Uncommon, and Rare are 66.67%, 26.67% and 6.67% respectively.

To disable a rarity altogether, simply set its rarity to 0%.

## Theme Rarity Adjustment
--------------------------

Every card in ROUNDS has a theme, easily identified by the border color of the card. For example, Huge has a blue border and is a "Defensive Blue" themed card.

The relative rarities of card themes can be adjusted. By default they are all equally likely to appear.

_Note_: Some card themes in the vanilla game do not seem to match the actual theme of the card, and so this mod changes them to be more consistent. For example, in the vanilla game, Echo is "Destructive Red" whereas multiple members of the community have agreed it "should" be "Defensive Blue."

## Card Pack Rarity Adjustment
------------------------------

Aside from the default cards, there are many custom card packs nowadays. The relative rarities between all loaded card packs can be adjusted. The default is for every card pack to be equally likely to appear.

## Colorblind Accessibility for Card Rarities
---------------------------------------------

If you have trouble distinguishing the different card rarities from the color of the corner of cards, then there you may find the "Display Card Rarities as Text" option useful. When this client-side option is enabled, text matching the card's rarity will be added in the bottom-center of each card.

## Stats for Nerds
------------------

If you want to know the _exact_ percent rarity of each card, you can enable the client-side "Display Card Rarities as Percentages" option, which will add the card's numerical rarity to the bottom-center of each card.

## More Efficient Draws
-----------------------

This mod automatically uses a _significantly_ more efficient algorithm for drawing cards from the deck. This is practically necessary since it can be possible for a significant fraction of the deck to be invalid (rarities set to 0, incompatible with players' current cards, etc.). This algorithm has been tested and verified to produce identical draws to the vanilla game's algorithm.
